---
title: Delete a single application by id
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Containers](https://developers.cloudflare.com/api/python/resources/containers)

[Applications](https://developers.cloudflare.com/api/python/resources/containers/subresources/applications)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a single application by id

containers.applications.delete(strapplication\_id, ApplicationDeleteParams\*\*kwargs) -> [ApplicationDeleteResponse](<https://developers.cloudflare.com/api/python/resources/containers#(resource)%20containers.applications%20%3E%20(model)%20application_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/containers/applications/{application\_id}

Deletes a single application by id.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Containers Write`

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20containers.applications%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

application\_id: str

An Application ID represents an identifier of an application.

[Link to this property](<#(resource)%20containers.applications%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20application_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ApplicationDeleteResponse: …

Result of starting asynchronous deletion for a Containers application.

</summary>

message: str

<a href="#(resource)%20containers.applications%20%3E%20(model)%20application_delete_response%20%3E%20(schema)%20%3E%20(property)%20message">Link to this property</a>

</details>

[Link to this property](<#(resource)%20containers.applications%20%3E%20(model)%20application_delete_response%20%3E%20(schema)>)

### Delete a single application by id

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
application = client.containers.applications.delete(
    application_id="application_id",
    account_id="account-123",
)
print(application.message)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "message": "message"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "message": "message"
  },
  "success": true
}
```